function [x1,x2]=longLast(xat,pLoc,colr,mksze,thz)
xa=unique(xat);
[xv,xvi]=sort(xa,'ascend');
dxv=xv(2:end)-xv(1:end-1);
%$$$$$$$$$$$$$$$$$$$$$$$$$$$$
dxi=find(dxv>thz);
%dxi=find(dxv>2.5 | dxv<0.5);  % less than 1hr == continue
%$$$$$$$$$$$$$$$$$$$$$$$$$$$$
x2=xv(dxi+1);
x1=xv(dxi);
for i=1:length(dxi)
    hl5=plot([x1(i)+mksze/12 x2(i)-mksze/12],[pLoc pLoc],'Color',rgbS(colr),'LineStyle','-','linewidth',mksze);
    hl5.Color(4)=0.9;
    hl51=plot(x1(i)+mksze/12,pLoc,'<','markerfacecolor',rgbS(colr),'markeredgecolor',rgbS(colr),'markersize',mksze*1.5);
    hl52=plot(x2(i)-mksze/12,pLoc,'>','markerfacecolor',rgbS(colr),'markeredgecolor',rgbS(colr),'markersize',mksze*1.5);
    hl51.Color(4)=0.5;
    hl52.Color(4)=0.5;
end

end